AffineHazardRate Struct Reference

`#include <ql/experimental/credit/interpolatedaffinehazardratecurve.hpp>`

## Public Types

typedef BootstrapHelper< DefaultProbabilityTermStructure > | helper

## Static Public Member Functions

static Date | initialDate (const DefaultProbabilityTermStructure *c)
static Real | initialValue (const DefaultProbabilityTermStructure *)
template<class C >
static Real | guess (Size i, const C *c, bool validData, Size)
template<class C >
static Real | minValueAfter (Size i, const C *c, bool validData, Size)
template<class C >
static Real | maxValueAfter (Size i, const C *c, bool validData, Size)
static void | updateGuess (std::vector< Real > &data, Real rate, Size i)
static Size | maxIterations ()

## Detailed Description

Piecewise (deterministic) plus affine (stochastic) terms composed hazard rate